<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>SubClassA | @cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_classes_.html">&quot;classes&quot;</a>
				</li>
				<li>
					<a href="_classes_.subclassa.html">SubClassA</a>
				</li>
			</ul>
			<h1>Class SubClassA</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>This is a class that extends another class.</p>
					</div>
					<p>This class has no own constructor, so its constructor should be inherited
					from BaseClass.</p>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a>
						<ul class="tsd-hierarchy">
							<li>
								<span class="target">SubClassA</span>
							</li>
						</ul>
					</li>
				</ul>
			</section>
			<section class="tsd-panel">
				<h3>Implements</h3>
				<ul class="tsd-hierarchy">
					<li><a href="../interfaces/_classes_.inameinterface.html" class="tsd-signature-type">INameInterface</a></li>
					<li><a href="../interfaces/_classes_.iprintnameinterface.html" class="tsd-signature-type">IPrintNameInterface</a></li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section tsd-is-inherited">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><a href="_classes_.subclassa.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="_classes_.subclassa.html#kind" class="tsd-kind-icon">kind</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-overwrite"><a href="_classes_.subclassa.html#name" class="tsd-kind-icon">name</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="_classes_.subclassa.html#instance" class="tsd-kind-icon">instance</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="_classes_.subclassa.html#instances" class="tsd-kind-icon">instances</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Accessors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-accessor tsd-parent-kind-class"><a href="_classes_.subclassa.html#nameproperty" class="tsd-kind-icon">name<wbr>Property</a></li>
								<li class="tsd-kind-get-signature tsd-parent-kind-class"><a href="_classes_.subclassa.html#readonlynameproperty" class="tsd-kind-icon">read<wbr>Only<wbr>Name<wbr>Property</a></li>
								<li class="tsd-kind-set-signature tsd-parent-kind-class"><a href="_classes_.subclassa.html#writeonlynameproperty" class="tsd-kind-icon">write<wbr>Only<wbr>Name<wbr>Property</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-overwrite"><a href="_classes_.subclassa.html#abstractmethod" class="tsd-kind-icon">abstract<wbr>Method</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="_classes_.subclassa.html#arrowfunction" class="tsd-kind-icon">arrow<wbr>Function</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="_classes_.subclassa.html#getname" class="tsd-kind-icon">get<wbr>Name</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_classes_.subclassa.html#print" class="tsd-kind-icon">print</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_classes_.subclassa.html#printname" class="tsd-kind-icon">print<wbr>Name</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="_classes_.subclassa.html#setname" class="tsd-kind-icon">set<wbr>Name</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="_classes_.subclassa.html#catest" class="tsd-kind-icon">ca<wbr>Test</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="_classes_.subclassa.html#getinstance" class="tsd-kind-icon">get<wbr>Instance</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="_classes_.subclassa.html#getname-1" class="tsd-kind-icon">get<wbr>Name</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-inherited">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Sub<wbr>ClassA<span class="tsd-signature-symbol">(</span>name<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_classes_.subclassa.html" class="tsd-signature-type">SubClassA</a></li>
						<li class="tsd-signature tsd-kind-icon">new <wbr>Sub<wbr>ClassA<span class="tsd-signature-symbol">(</span>source<span class="tsd-signature-symbol">: </span><a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_classes_.subclassa.html" class="tsd-signature-type">SubClassA</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#constructor">constructor</a></p>
								<ul>
									<li>Defined in classes.ts:76</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>name: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_classes_.subclassa.html" class="tsd-signature-type">SubClassA</a></h4>
						</li>
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#constructor">constructor</a></p>
								<ul>
									<li>Defined in classes.ts:79</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>source: <a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_classes_.subclassa.html" class="tsd-signature-type">SubClassA</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="kind" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> kind</h3>
					<div class="tsd-signature tsd-kind-icon">kind<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#kind">kind</a></p>
						<ul>
							<li>Defined in classes.ts:63</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>This is a simple protected member.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-overwrite">
					<a name="name" class="tsd-anchor"></a>
					<h3>name</h3>
					<div class="tsd-signature tsd-kind-icon">name<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<p>Implementation of <a href="../interfaces/_classes_.iprintnameinterface.html">IPrintNameInterface</a>.<a href="../interfaces/_classes_.iprintnameinterface.html#name">name</a></p>
						<p>Overrides <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#name">name</a></p>
						<ul>
							<li>Defined in classes.ts:199</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="instance" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> instance</h3>
					<div class="tsd-signature tsd-kind-icon">instance<span class="tsd-signature-symbol">:</span> <a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#instance">instance</a></p>
						<ul>
							<li>Defined in classes.ts:70</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>This is a static member.</p>
						</div>
						<p>Static members should not be inherited.</p>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="instances" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> instances</h3>
					<div class="tsd-signature tsd-kind-icon">instances<span class="tsd-signature-symbol">:</span> <a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a><span class="tsd-signature-symbol">[]</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#instances">instances</a></p>
						<ul>
							<li>Defined in classes.ts:71</li>
						</ul>
					</aside>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Accessors</h2>
				<section class="tsd-panel tsd-member tsd-kind-accessor tsd-parent-kind-class">
					<a name="nameproperty" class="tsd-anchor"></a>
					<h3>name<wbr>Property</h3>
					<ul class="tsd-signatures tsd-kind-accessor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">get</span> nameProperty<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
						<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">set</span> nameProperty<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in classes.ts:218</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the name. See <a href="_classes_.baseclass.html#name">BaseClass.name</a>.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>The return value.</p>
						</li>
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in classes.ts:228</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Sets the name. See <a href="_classes_.baseclass.html#name">BaseClass.name</a>.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>The new name.</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
							<p>The return value.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-get-signature tsd-parent-kind-class">
					<a name="readonlynameproperty" class="tsd-anchor"></a>
					<h3>read<wbr>Only<wbr>Name<wbr>Property</h3>
					<ul class="tsd-signatures tsd-kind-get-signature tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">get</span> readOnlyNameProperty<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in classes.ts:237</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the name. See <a href="_classes_.baseclass.html#name">BaseClass.name</a>.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>The return value.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-set-signature tsd-parent-kind-class">
					<a name="writeonlynameproperty" class="tsd-anchor"></a>
					<h3>write<wbr>Only<wbr>Name<wbr>Property</h3>
					<ul class="tsd-signatures tsd-kind-set-signature tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">set</span> writeOnlyNameProperty<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in classes.ts:247</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Sets the name. See <a href="_classes_.baseclass.html#name">BaseClass.name</a>.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>The new name.</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
							<p>The return value.</p>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-overwrite">
					<a name="abstractmethod" class="tsd-anchor"></a>
					<h3>abstract<wbr>Method</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-overwrite">
						<li class="tsd-signature tsd-kind-icon">abstract<wbr>Method<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Overrides <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#abstractmethod">abstractMethod</a></p>
								<ul>
									<li>Defined in classes.ts:251</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="arrowfunction" class="tsd-anchor"></a>
					<h3>arrow<wbr>Function</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">arrow<wbr>Function<span class="tsd-signature-symbol">(</span>param2<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, param1<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#arrowfunction">arrowFunction</a></p>
								<ul>
									<li>Defined in classes.ts:141</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple fat arrow function.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>param2: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>The second parameter needed by this function.</p>
										</div>
									</div>
								</li>
								<li>
									<h5>param1: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>The first parameter needed by this function.</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="getname" class="tsd-anchor"></a>
					<h3>get<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Name<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Implementation of <a href="../interfaces/_classes_.iprintnameinterface.html">IPrintNameInterface</a>.<a href="../interfaces/_classes_.iprintnameinterface.html#getname">getName</a></p>
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#getname">getName</a></p>
								<ul>
									<li>Defined in classes.ts:103</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple member function.</p>
								</div>
								<p>It should be inherited by all subclasses. This class has a static
								member with the same name, both should be documented.</p>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>Return the name.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="print" class="tsd-anchor"></a>
					<h3>print</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">print<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Implementation of <a href="../interfaces/_classes_.iprintnameinterface.html">IPrintNameInterface</a>.<a href="../interfaces/_classes_.iprintnameinterface.html#print">print</a></p>
								<ul>
									<li>Defined in classes.ts:204</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple interface function.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="printname" class="tsd-anchor"></a>
					<h3>print<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">print<wbr>Name<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Implementation of <a href="../interfaces/_classes_.iprintnameinterface.html">IPrintNameInterface</a>.<a href="../interfaces/_classes_.iprintnameinterface.html#printname">printName</a></p>
								<ul>
									<li>Defined in classes.ts:209</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a interface function of IPrintNameInterface</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="setname" class="tsd-anchor"></a>
					<h3>set<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">set<wbr>Name<span class="tsd-signature-symbol">(</span>name<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#setname">setName</a></p>
								<ul>
									<li>Defined in classes.ts:128</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple member function.</p>
								</div>
								<p>It should be inherited by all subclasses.</p>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>name: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The new name.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="catest" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> ca<wbr>Test</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">ca<wbr>Test<span class="tsd-signature-symbol">(</span>originalValues<span class="tsd-signature-symbol">: </span><a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a>, newRecord<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span>, fieldNames<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span>, mandatoryFields<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#catest">caTest</a></p>
								<ul>
									<li>Defined in classes.ts:168</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<dl class="tsd-comment-tags">
									<dt>see</dt>
									<dd><p><a href="https://github.com/sebastian-lenz/typedoc/issues/42">https://github.com/sebastian-lenz/typedoc/issues/42</a></p>
									</dd>
								</dl>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>originalValues: <a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a></h5>
								</li>
								<li>
									<h5>newRecord: <span class="tsd-signature-type">any</span></h5>
								</li>
								<li>
									<h5>fieldNames: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span></h5>
								</li>
								<li>
									<h5>mandatoryFields: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="getinstance" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Instance</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Instance<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#getinstance">getInstance</a></p>
								<ul>
									<li>Defined in classes.ts:160</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a static function.</p>
								</div>
								<p>Static functions should not be inherited.</p>
							</div>
							<h4 class="tsd-returns-title">Returns <a href="_classes_.baseclass.html" class="tsd-signature-type">BaseClass</a></h4>
							<p>An instance of BaseClass.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="getname-1" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> get<wbr>Name</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Name<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="_classes_.baseclass.html">BaseClass</a>.<a href="_classes_.baseclass.html#getname-1">getName</a></p>
								<ul>
									<li>Defined in classes.ts:116</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple static member function.</p>
								</div>
								<p>Static functions should not be inherited. This class has a
								member with the same name, both should be documented.</p>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>Return the name.</p>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_access_.html">"access"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_flattened_.html">"flattened"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_functions_.html">"functions"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_generics_.html">"generics"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_modules_.html">"modules"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-class tsd-parent-kind-external-module">
						<a href="_classes_.baseclass.html" class="tsd-kind-icon">Base<wbr>Class</a>
					</li>
					<li class=" tsd-kind-class tsd-parent-kind-external-module tsd-has-type-parameter">
						<a href="_classes_.genericclass.html" class="tsd-kind-icon">Generic<wbr>Class</a>
					</li>
					<li class=" tsd-kind-class tsd-parent-kind-external-module tsd-has-type-parameter tsd-is-not-exported">
						<a href="_classes_.internalclass.html" class="tsd-kind-icon">Internal<wbr>Class</a>
					</li>
					<li class=" tsd-kind-class tsd-parent-kind-external-module">
						<a href="_classes_.nongenericclass.html" class="tsd-kind-icon">Non<wbr>Generic<wbr>Class</a>
					</li>
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class tsd-parent-kind-external-module">
						<a href="_classes_.subclassa.html" class="tsd-kind-icon">Sub<wbr>ClassA</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited">
								<a href="_classes_.subclassa.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="_classes_.subclassa.html#kind" class="tsd-kind-icon">kind</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-overwrite">
								<a href="_classes_.subclassa.html#name" class="tsd-kind-icon">name</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="_classes_.subclassa.html#instance" class="tsd-kind-icon">instance</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="_classes_.subclassa.html#instances" class="tsd-kind-icon">instances</a>
							</li>
							<li class=" tsd-kind-accessor tsd-parent-kind-class">
								<a href="_classes_.subclassa.html#nameproperty" class="tsd-kind-icon">name<wbr>Property</a>
							</li>
							<li class=" tsd-kind-get-signature tsd-parent-kind-class">
								<a href="_classes_.subclassa.html#readonlynameproperty" class="tsd-kind-icon">read<wbr>Only<wbr>Name<wbr>Property</a>
							</li>
							<li class=" tsd-kind-set-signature tsd-parent-kind-class">
								<a href="_classes_.subclassa.html#writeonlynameproperty" class="tsd-kind-icon">write<wbr>Only<wbr>Name<wbr>Property</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-overwrite">
								<a href="_classes_.subclassa.html#abstractmethod" class="tsd-kind-icon">abstract<wbr>Method</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="_classes_.subclassa.html#arrowfunction" class="tsd-kind-icon">arrow<wbr>Function</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="_classes_.subclassa.html#getname" class="tsd-kind-icon">get<wbr>Name</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_classes_.subclassa.html#print" class="tsd-kind-icon">print</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_classes_.subclassa.html#printname" class="tsd-kind-icon">print<wbr>Name</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="_classes_.subclassa.html#setname" class="tsd-kind-icon">set<wbr>Name</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="_classes_.subclassa.html#catest" class="tsd-kind-icon">ca<wbr>Test</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="_classes_.subclassa.html#getinstance" class="tsd-kind-icon">get<wbr>Instance</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="_classes_.subclassa.html#getname-1" class="tsd-kind-icon">get<wbr>Name</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
					<li class=" tsd-kind-class tsd-parent-kind-external-module">
						<a href="_classes_.subclassb.html" class="tsd-kind-icon">Sub<wbr>ClassB</a>
					</li>
					<li class=" tsd-kind-interface tsd-parent-kind-external-module">
						<a href="../interfaces/_classes_.inameinterface.html" class="tsd-kind-icon">IName<wbr>Interface</a>
					</li>
					<li class=" tsd-kind-interface tsd-parent-kind-external-module">
						<a href="../interfaces/_classes_.iprintinterface.html" class="tsd-kind-icon">IPrint<wbr>Interface</a>
					</li>
					<li class=" tsd-kind-interface tsd-parent-kind-external-module">
						<a href="../interfaces/_classes_.iprintnameinterface.html" class="tsd-kind-icon">IPrint<wbr>Name<wbr>Interface</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>